Bug 575 - Latex completely broken in RH5.2?
Summary: Latex completely broken in RH5.2?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-23 20:52 UTC by chrisb
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-15 15:39:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chrisb 1998-12-23 20:52:27 UTC
I was running RedHat 4.x, and  just upgraded to 5.2. I can't
run Latex against any of my documents. I get the error..

! LaTeX Error: File `article.cls' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: cls)

If I make a letter document instead I get a similar error
except it says 'letter.cls' not found.

As far as I can tell, Latex doesn't work at all in this
release. I have tried re-installing all the tex packages as
well.

My document starts off with....

\documentclass[a4paper]{article}
\usepackage{i-invoice}

Comment 1 Jeff Johnson 1999-01-14 20:49:59 UTC
This sounds like a configuration problem. Conventions for
storing some fonts and TeX support files have changed between
the earlier 0.4 and the cureent 0.9 release of teTeX.

Please reopen this bug with more complete information if the guess
above is incorrect.

Comment 2 chrisb 1999-01-15 11:27:59 UTC
I found I could fix the problem with a BIG environment variable...
However, I wouldn't think I should need to put the bog standard tex
and latex files in this environment variable. I thought TEX should be
able to find the standard stuff automatically. Could it be that after
you moving the standard locations of TEX files, tex can no longer find
the default locations? Make a small latex file and see if it works.


TEXINPUTS=.:../template:!!/usr/lib/texmf/texmf/tex//:!!/usr/lib/texmf/texmf/fonts/afm//:/usr/share/texmf/tex/latex/base:/usr/share/texmf/tex/latex/psnfss

Comment 3 Mike Maher 1999-03-15 15:39:59 UTC
This problem has been fixed and tested for the next release.


Note You need to log in before you can comment on or make changes to this bug.